Note Image-to-Video (First Frame), Image-to-Video (First & Last Frames), and Multimodal Reference-to-Video (including reference images, videos, and audio) are three mutually exclusive scenarios and cannot be used simultaneously. Do not combine first_frame_url/last_frame_urlwith anyreference_*field.Multimodal Reference-to-Video can indirectly achieve a "First/Last Frame + Multimodal Reference" effect by specifying reference images as the first or last frame via prompts. If you need to strictly guarantee that the first and last frames are identical to the specified images, prioritize using Image-to-Video (First & Last Frames)
curl --location 'https://api.kie.ai/api/v1/jobs/createTask' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "bytedance/seedance-2",
"callBackUrl": "https://your-domain.com/api/callback",
"input": {
"prompt": "A serene beach at sunset with waves gently crashing on the shore, palm trees swaying in the breeze, and seagulls flying across the orange sky",
"reference_image_urls": [
"https://example.com/your-image.png"
],
"reference_video_urls": [
"https://example.com/your-video.mp4"
],
"reference_audio_urls": [
"https://example.com/your-audio.mp3"
],
"return_last_frame": false,
"generate_audio": false,
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"web_search": false
}
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "task_bytedance_1765186743319"
}
}